C     One-purpose FORTRAN77 code to read the results calculated by CRT
C     and by ANRAY and to generate the table comparing the results.
C     Coded by Petr Bulant
      CHARACTER*80 FQI,FANR1,FANR2,FTAB,FILSEP
      READ(*,*) FILSEP
      CALL RSEP1(5,FILSEP)
      CALL RSEP3T('QILST',FQI,' ')
      CALL RSEP3T('ANRTIM1',FANR1,' ')
      CALL RSEP3T('ANRTIM2',FANR2,' ')
      CALL RSEP3T('TABULKA',FTAB,' ')
      OPEN(1,FILE=FQI)
      OPEN(2,FILE=FANR1)
      OPEN(3,FILE=FANR2)
      OPEN(4,FILE=FTAB)
      READ(1,*) A
      WRITE(4,*) ' /'
  10  CONTINUE
        READ(1,*,END=100) IREC,TISO,T1,T2,DTL1,DTL2,DTQ1,DTQ2,DTQ3
        READ(2,*,END=100) IREC,T1A
        READ(3,*,END=100) IREC,T2A
        WRITE(4,'(1I3,1X,8(1F9.6,1X))')
     *       IREC,TISO,DTL1,DTL2,DTQ1,DTQ2,T1A-T1,T2A-T2,DTQ3
        GOTO 10
  100 CONTINUE
      CLOSE(1)
      CLOSE(2)
      CLOSE(3)
      WRITE(4,*) ' /'
      CLOSE(4)
      END
      INCLUDE 'sep.for'
      INCLUDE 'error.for'
      INCLUDE 'length.for'
